/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.AttachedInput {
    width: 100%;
    display: flex;
    flex-direction: row;
}
/* Boost specificity to overcome input[type=text] */
input.AttachedInput__label {
    display: flex;
    width: auto;
    flex-grow: 0;

    border-top-right-radius: 0;
    border-bottom-right-radius: 0;

    border-right: 0;
    padding-right: 0;
}
input.AttachedInput__input {
    display: flex;
    flex-grow: 1;
    width: auto;

    border-top-left-radius: 0;
    border-bottom-left-radius: 0;

    padding-left: 0;
    border-left: 0;
}

.Plans {
    display: flex;
    justify-content: center;
}
.Plan {
    display: flex;
    flex-direction: column;
    text-align: center;
}
.Plan--pro {
    box-shadow: 0 0 5px _palette(colors, orange),
                0 0 50px transparentize(_palette(colors, orange), 0.5);
    background: transparentize(_palette(colors, orange), 0.85);
}
.Plan__header {
    background: _palette(border-bg),
                transparentize(white, 0.85);
    border: 1px solid _palette(border);

    font-size: 2em;
    font-family: _font(family-heading);
    font-weight: _font(weight-heading-bold);
    text-transform: uppercase;

    border-top-left-radius: _size(border-radius);
    border-top-right-radius: _size(border-radius);
}
.Plan--free__header {
    margin-top: 1em;
}
.Plan__header__price {
    font-weight: _font(weight);
    font-size: 0.4em;
    margin-bottom: 0.85em;
}
.Plan__row {
    padding: 1em;
    background: transparentize(white, 0.85);

    border: 1px solid _palette(border);
    border-top: 0;
}
.Plan__row--highlighted {
    background: fade-out(_palette(colors, orange), 0.5);
    font-weight: bold;
}
.Plan__row--cta {
    border-bottom-left-radius: _size(border-radius);
    border-bottom-right-radius: _size(border-radius);
}
.Plan__row a {
    color: _palette(fg);
}

.EXPInput {
    input {
        width: auto;
        display: inline;
    }
}

.ProBadge {
    background: _palette(colors, orange);
    text-align: center;
    padding: 0.25em;
    color: white;
    font-family: _font(family-heading);
    font-weight: _font(weight-heading-bold);
    text-transform: uppercase;

    border-radius: _size(border-radius);
}
